<launch>

  <arg name="service_discovery" default="true"/>
  <arg name="simulation" default="false"/>

  <!-- <env name="ROSCONSOLE_CONFIG_FILE" value="$(find reliable_udp_comms)/launch/rosconsole.conf"/> -->

  <node if="$(arg service_discovery)" pkg="reliable_udp_comms" type="remote_host_discovery.py" name="remote_host_discovery" output="screen">
    <param name="group_name" value="TESTING"/>
  </node>

  <node pkg="reliable_udp_comms" type="remote_topic_manager" name="rtp" output="screen" launch-prefix="">
    <param name="enet_port"  value="11411"/>
    <param name="simulation" value="$(arg simulation)"/>

    <rosparam param="input_topics">
      - /foo: {compress: true}
    </rosparam>

    <param name="latch" value="true"/>
    <param name="status_pub_period" value="1.0"/>
  </node>
</launch>
